Rivet::WeightError Class Reference

Errors relating to event/bin weights. More...

`#include <Exceptions.hh>`

Inheritance diagram for Rivet::WeightError:

## Public Member Functions

| WeightError (const std::string &what)
Public Member Functions inherited from Rivet::Error
| Error (const std::string &what)

## Detailed Description

Errors relating to event/bin weights.

Arises in computing statistical quantities because e.g. the bin weight is zero or negative.

The documentation for this class was generated from the following file:

- include/Rivet/Exceptions.hh